# touch.py
from machine import Pin, SPI
import time

TP_CS    = 7
TP_IRQ   = 17
TP_SCK  = 10
TP_MOSI = 11
TP_MISO = 12
class Touch:
    def __init__(self):
        self.tp_cs =Pin(TP_CS,Pin.OUT)
        self.irq = Pin(TP_IRQ,Pin.IN)
        
        self.tp_cs(1)
                
    def touch_get(self): 
        if self.irq() == 0:
            self.spi = SPI(1,4_000_000,sck=Pin(TP_SCK),mosi=Pin(TP_MOSI),miso=Pin(TP_MISO))
            self.tp_cs(0)
            X_Point = 0
            Y_Point = 0
            for i in range(0,3):
                self.spi.write(bytearray([0XD0]))
                Read_date = self.spi.read(2)
                time.sleep_us(10)
                X_Point=X_Point+(((Read_date[0]<<8)+Read_date[1])>>3)
                
                self.spi.write(bytearray([0X90]))
                Read_date = self.spi.read(2)
                Y_Point=Y_Point+(((Read_date[0]<<8)+Read_date[1])>>3)

            X_Point=X_Point/3
            Y_Point=Y_Point/3
            
            self.tp_cs(1) 
            self.spi = SPI(1,40_000_000,sck=Pin(TP_SCK),mosi=Pin(TP_MOSI),miso=Pin(TP_MISO))
            Result_list = [X_Point,Y_Point]
            #print(Result_list)
            return(Result_list)
